curl --request GET \
--url https://api.messaging.phonovation.com/sms/3/text/query \
--header 'Authorization: <api-key>'import requests
url = "https://api.messaging.phonovation.com/sms/3/text/query"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/sms/3/text/query");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.messaging.phonovation.com/sms/3/text/query")
.header("Authorization", "<api-key>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/sms/3/text/query",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.messaging.phonovation.com/sms/3/text/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"bulkId": "2034072219640523072",
"messages": [
{
"messageId": "2250be2d4219-3af1-78856-aabe-1362af1edfd2",
"status": {
"groupId": 1,
"groupName": "PENDING",
"id": 26,
"name": "PENDING_ACCEPTED",
"description": "Message sent to next instance"
},
"destination": "353861234579",
"details": {
"messageCount": 1
}
}
]
}{
"errorCode": "E400",
"description": "Request cannot be processed.",
"action": "Check the syntax, violations and adjust the request.",
"violations": [
{
"property": "property.path",
"violation": "Violation message."
}
],
"resources": []
}{
"errorCode": "E401",
"description": "The request lacks valid authentication credentials for the requested resource.",
"action": "Check the resources and adjust authentication credentials.",
"violations": [],
"resources": [
{
"name": "API Authentication",
"url": "https://www.phonovation.com/docs/essentials/api-authentication"
}
]
}{
"errorCode": "E403",
"description": "Insufficient permissions to access the requested resource.",
"action": "Repeat the request with new or different credentials.",
"violations": [],
"resources": [
{
"name": "API Scopes",
"url": "https://www.phonovation.com/docs/essentials/api-essentials/api-authorization#api-scopes"
}
]
}{
"errorCode": "E500",
"description": "Something went wrong.",
"action": "Contact the support.",
"violations": [],
"resources": []
}Send SMS message over query parameters
curl --request GET \
--url https://api.messaging.phonovation.com/sms/3/text/query \
--header 'Authorization: <api-key>'import requests
url = "https://api.messaging.phonovation.com/sms/3/text/query"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/sms/3/text/query");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.messaging.phonovation.com/sms/3/text/query")
.header("Authorization", "<api-key>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/sms/3/text/query",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.messaging.phonovation.com/sms/3/text/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"bulkId": "2034072219640523072",
"messages": [
{
"messageId": "2250be2d4219-3af1-78856-aabe-1362af1edfd2",
"status": {
"groupId": 1,
"groupName": "PENDING",
"id": 26,
"name": "PENDING_ACCEPTED",
"description": "Message sent to next instance"
},
"destination": "353861234579",
"details": {
"messageCount": 1
}
}
]
}{
"errorCode": "E400",
"description": "Request cannot be processed.",
"action": "Check the syntax, violations and adjust the request.",
"violations": [
{
"property": "property.path",
"violation": "Violation message."
}
],
"resources": []
}{
"errorCode": "E401",
"description": "The request lacks valid authentication credentials for the requested resource.",
"action": "Check the resources and adjust authentication credentials.",
"violations": [],
"resources": [
{
"name": "API Authentication",
"url": "https://www.phonovation.com/docs/essentials/api-authentication"
}
]
}{
"errorCode": "E403",
"description": "Insufficient permissions to access the requested resource.",
"action": "Repeat the request with new or different credentials.",
"violations": [],
"resources": [
{
"name": "API Scopes",
"url": "https://www.phonovation.com/docs/essentials/api-essentials/api-authorization#api-scopes"
}
]
}{
"errorCode": "E500",
"description": "Something went wrong.",
"action": "Contact the support.",
"violations": [],
"resources": []
}Authorizations
This is the most secure authorization type and the one with the most flexibility.
API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.
You can manage your API keys from GUI, or programmatically with dedicated API.
API key Authorization header example:
Authorization: App 003026bbc133714df1834b8638bb496e-8f4b3d9a-e931-478d-a994-28a725159ab9
Query Parameters
Unique ID assigned to the request if messaging multiple recipients or sending multiple messages via a single API request.
100The sender ID which can be alphanumeric or numeric (e.g., CompanyName).
List of message recipients.
Content of the message being sent.
1Conversion of a message text from one script to another.
Code for language character set of a message content.
Use a real-time intermediate delivery report that will be sent on your callback server.
The URL on your call back server on to which a delivery report will be sent.
Preferred delivery report content type, application/json or application/xml.
Additional data that can be used for identifying, managing, or monitoring a message. Data included here will also be automatically included in the message Delivery Report. The maximum value is 4000 characters.
4000The message validity period in minutes. When the period expires, it will not be allowed for the message to be sent. Validity period longer than 48h is not supported. Any bigger value will automatically default back to 2880.
Date and time when the message is to be sent. Used for scheduled SMS. Has the following format: yyyy-MM-dd'T'HH:mm:ss.SSSZ. Must be sooner than 180 days from now.
Set to true to return smsCount in the response. Default is false. smsCount is the total count of SMS submitted in the request. SMS messages have a character limit and messages longer than that limit will be split into multiple SMS and reflected in the total count of SMS submitted.
The URL of your callback server on to which the Click report will be sent.
Sets a custom conversion type naming convention, e.g. ONE_TIME_PIN, SOCIAL_INVITES, etc.
The ID of your registered DLT (Distributed Ledger Technology) content template.
Your DLT (Distributed Ledger Technology) entity id.
Your assigned Telemarketer ID. (required for Aggregators)
Brand code is an ID of the company based on a company VAT number. If not provided in request, default value is used from your Phonovation account.
Recipient Type must be TACIR or BIREYSEL
Reseller identification code: 9-digit registration number in the business registration certificate for South Korea. Resellers should submit this when sending.
Title of the message.
66Response
Successful response
An array of message objects of a single message or multiple messages sent under one bulk ID.
1Show child attributes
Show child attributes
Unique ID assigned to the request if messaging multiple recipients or sending multiple messages via a single API request. If not provided, it will be auto-generated and returned in the API response. Typically used for fetching delivery reports and message logs.